Skip to main content
GET
List package purchases
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

package_id
string
required

Id of the package to retrieve purchases for. You can get package_id by listing all packages using our List packages API. Here you will see id for each package.

Query Parameters

page_number
integer

Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.

page_size
integer

Set the number of results returned in the response. Defaulting to 30 when omitted.

Response

200 - application/json

OK - Request succeeded

purchases
object[]

Array of purchases for the specified package.

pagination
object

Pagination information including total records, pages, and current page details.